KDE 4.2 PyKDE API Reference

- KDE's Python API

# AbstractAudioDataOutput Class Reference

`from PyKDE4.phonon import *`

Inherits: Phonon.MediaNode
Namespace: Phonon::Experimental

## Detailed Description

Abstract class:
  This class can be used as a base class for new classes, but can not be instantiated directly.

This class gives you the audio data.

This class implements a special AbstractAudioOutput that gives your application the audio data. This class is usable for realtime performance.

Author:
  Matthias Kretz <kretz@kde.org>

## Methods

| __init__ (self)
| __init__ (self, AbstractAudioDataOutputPrivate dd)
QSet<Phonon::Experimental::AudioFormat> | allowedFormats (self)
| endOfMedia (self)
bool | isRunning (self)
| packetReady (self, Phonon.Packet a0)
| setAllowedFormats (self, QSet<Phonon::Experimental::AudioFormat> a0)
| setRunning (self, bool running)
| start (self)
| stop (self)

## Method Documentation

__init__ | ( |  | self ) |

Constructs an AbstractAudioDataOutput

__init__ | ( | self, |
|  | AbstractAudioDataOutputPrivate | dd
| ) |  |  |

QSet<Phonon::Experimental::AudioFormat> allowedFormats | ( |  | self ) |

Lists the formats this output is allowed to pass via frameReady.

endOfMedia | ( |  | self ) |

This function is called after the last packetReady of a media was called.

bool isRunning | ( |  | self ) |

packetReady | ( | self, |
|  | Phonon.Packet | a0
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

This function is called whenever an audio packet is ready for processing.

Warning:
  packetReady can get called from any thread (other than the main thread or the thread affinity of this QObject).

setAllowedFormats | ( | self, |
|  | QSet<Phonon::Experimental::AudioFormat> | a0
| ) |  |  |

Defaults to AudioFormat(). I.e. 16 bit, stereo, 48000 kHz PCM data.

setRunning | ( | self, |
|  | bool | running
| ) |  |  |

start | ( |  | self ) |

stop | ( |  | self ) |